Bug 1282077 - [abrt] evolution: g_quark_init(): evolution killed by SIGABRT
[abrt] evolution: g_quark_init(): evolution killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0d3d572fc719fec2502769dc6ba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 14:27 EST by Pavel Popov
Modified: 2016-12-20 10:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:53:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.53 KB, text/plain)
2015-11-14 14:28 EST, Pavel Popov
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-14 14:28 EST, Pavel Popov
no flags Details
File: core_backtrace (36.37 KB, text/plain)
2015-11-14 14:28 EST, Pavel Popov
no flags Details
File: dso_list (24.25 KB, text/plain)
2015-11-14 14:28 EST, Pavel Popov
no flags Details
File: environ (1.67 KB, text/plain)
2015-11-14 14:28 EST, Pavel Popov
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-14 14:28 EST, Pavel Popov
no flags Details
File: maps (109.42 KB, text/plain)
2015-11-14 14:28 EST, Pavel Popov
no flags Details
File: mountinfo (3.45 KB, text/plain)
2015-11-14 14:28 EST, Pavel Popov
no flags Details
File: open_fds (2.89 KB, text/plain)
2015-11-14 14:28 EST, Pavel Popov
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-11-14 14:28 EST, Pavel Popov
no flags Details
File: var_log_messages (288 bytes, text/plain)
2015-11-14 14:28 EST, Pavel Popov
no flags Details

  None (edit)
Description Pavel Popov 2015-11-14 14:27:55 EST
Version-Release number of selected component:
evolution-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        evolution
crash_function: g_quark_init
executable:     /usr/bin/evolution
global_pid:     22653
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 g_quark_init at gquark.c:60
 #5 glib_init at glib-init.c:236
 #6 glib_init_ctor at glib-init.c:287
 #7 call_init at dl-init.c:72
 #9 _dl_init at dl-init.c:120
 #10 dl_open_worker at dl-open.c:564
 #11 _dl_catch_error at dl-error.c:187
 #12 _dl_open at dl-open.c:649
 #13 dlopen_doit at dlopen.c:66
 #14 _dl_catch_error at dl-error.c:187
Comment 1 Pavel Popov 2015-11-14 14:28:01 EST
Created attachment 1094148 [details]
File: backtrace
Comment 2 Pavel Popov 2015-11-14 14:28:02 EST
Created attachment 1094149 [details]
File: cgroup
Comment 3 Pavel Popov 2015-11-14 14:28:04 EST
Created attachment 1094150 [details]
File: core_backtrace
Comment 4 Pavel Popov 2015-11-14 14:28:06 EST
Created attachment 1094151 [details]
File: dso_list
Comment 5 Pavel Popov 2015-11-14 14:28:07 EST
Created attachment 1094152 [details]
File: environ
Comment 6 Pavel Popov 2015-11-14 14:28:09 EST
Created attachment 1094153 [details]
File: limits
Comment 7 Pavel Popov 2015-11-14 14:28:11 EST
Created attachment 1094154 [details]
File: maps
Comment 8 Pavel Popov 2015-11-14 14:28:13 EST
Created attachment 1094155 [details]
File: mountinfo
Comment 9 Pavel Popov 2015-11-14 14:28:14 EST
Created attachment 1094156 [details]
File: open_fds
Comment 10 Pavel Popov 2015-11-14 14:28:15 EST
Created attachment 1094157 [details]
File: proc_pid_status
Comment 11 Pavel Popov 2015-11-14 14:28:17 EST
Created attachment 1094158 [details]
File: var_log_messages
Comment 12 Milan Crha 2015-11-16 06:15:54 EST
Thanks for a bug report. The backtrace shows that the application had been stopped in a glib2 code, when it was loading
   /usr/lib64/gio/modules/libgiognutls.so
The error happened in a glib_init() code, with an assertion:
   GLib:ERROR:gquark.c:60:g_quark_init: assertion failed: (quark_seq_id == 0)

I do not understand how this could happen, because it was called inside a dedicated thread.

By any chance, are you able to reproduce this after some steps?

I do not see it in the backtrace, but it can happen that the related memory could be overwritten due to some memory issue (some code wrote to a place where it should not) and cause this. As I said, I do not see any good sign of this in the backtrace. I think of bug #1281331, which can be partly related.
Comment 13 Christian Stadelmann 2016-01-11 17:06:22 EST
I am not able to reproduce this issue, but I just ran into it too.
Comment 14 Fedora End Of Life 2016-11-24 08:25:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:53:47 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.